xine-lib: faad_decoder_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
faad_decoder_t Struct Reference

## Data Fields
audio_decoder_t | audio_decoder
faad_class_t * | class
xine_stream_t * | stream
NeAACDecHandle | faac_dec
NeAACDecConfigurationPtr | faac_cfg
NeAACDecFrameInfo | faac_finfo
int | faac_failed
unsigned char * | buf
int | size
int | rec_audio_src_size
int | max_audio_src_size
int | used_last
int | pts_last
struct { |
int64_t pts |
int bytes |
} | pts_ring [(1<< 3)] |
unsigned char * | dec_config
int | dec_config_size
uint32_t | rate
int | bits_per_sample
unsigned char | num_channels
int | sbr
int | output_open
int | in_channels
int | out_channels
int | out_used
int | in_mode
int | out_mode
int | out_flags
bebf_latm_t | latm
bebf_latm_parser_status_t | latm_mode
uint32_t | adts_fake
uint8_t | adts_lasthead [2]
struct { |
enum | { _ADIF_UNKNOWN = 0 , _ADIF_YES , _ADIF_NO }
int64_t base_pts |
uint32_t seconds |
uint32_t samples |
enum faad_decoder_t:: { ... } mode |
} | adif |

## Field Documentation

## ◆ [struct]

struct { ... } faad_decoder_t::adif

## ◆ adts_fake

uint32_t faad_decoder_t::adts_fake

## ◆ adts_lasthead

uint8_t faad_decoder_t::adts_lasthead[2]

## ◆ audio_decoder

audio_decoder_t faad_decoder_t::audio_decoder

## ◆ base_pts

int64_t faad_decoder_t::base_pts

## ◆ bits_per_sample

int faad_decoder_t::bits_per_sample

## ◆ buf

unsigned char* faad_decoder_t::buf

## ◆ bytes

int faad_decoder_t::bytes

## ◆ class

faad_class_t* faad_decoder_t::class

## ◆ dec_config

unsigned char* faad_decoder_t::dec_config

## ◆ dec_config_size

int faad_decoder_t::dec_config_size

## ◆ faac_cfg

NeAACDecConfigurationPtr faad_decoder_t::faac_cfg

## ◆ faac_dec

NeAACDecHandle faad_decoder_t::faac_dec

## ◆ faac_failed

int faad_decoder_t::faac_failed

## ◆ faac_finfo

NeAACDecFrameInfo faad_decoder_t::faac_finfo

## ◆ in_channels

int faad_decoder_t::in_channels

## ◆ in_mode

int faad_decoder_t::in_mode

## ◆ latm

bebf_latm_t faad_decoder_t::latm

## ◆ latm_mode

bebf_latm_parser_status_t faad_decoder_t::latm_mode

## ◆ max_audio_src_size

int faad_decoder_t::max_audio_src_size

## ◆ []

enum { ... } faad_decoder_t::mode

## ◆ num_channels

unsigned char faad_decoder_t::num_channels

## ◆ out_channels

int faad_decoder_t::out_channels

## ◆ out_flags

int faad_decoder_t::out_flags

## ◆ out_mode

int faad_decoder_t::out_mode

## ◆ out_used

int faad_decoder_t::out_used

## ◆ output_open

int faad_decoder_t::output_open

## ◆ pts

int64_t faad_decoder_t::pts

Referenced by faad_pts_reset().

## ◆ pts_last

int faad_decoder_t::pts_last

## ◆ [struct]

struct { ... } faad_decoder_t::pts_ring[ (1 << 3 )]

## ◆ rate

uint32_t faad_decoder_t::rate

## ◆ rec_audio_src_size

int faad_decoder_t::rec_audio_src_size

## ◆ samples

uint32_t faad_decoder_t::samples

## ◆ sbr

int faad_decoder_t::sbr

## ◆ seconds

uint32_t faad_decoder_t::seconds

## ◆ size

int faad_decoder_t::size

## ◆ stream

xine_stream_t* faad_decoder_t::stream

## ◆ used_last

int faad_decoder_t::used_last

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/audio_dec/xine_faad_decoder.c